div.ack>ul {column-count: 2;
			list-style-type: none;}


/* ----------------------
   Citation to sources 
----------------------- */
div.cit  {
	font-size: 50%;
	color: crimson;
}


/* ----------------------
   lists
----------------------- */
div.owasp_list ul {
/*    border: 3px double #ccc; */
    padding: 0.5em;
	font-size: 80%;
	list-style-type: none;	
  }


/* Important */
span.imp {
	color: Crimson;
}

/* Definition Lists */
/* Adapted from https://www.the-art-of-web.com/css/format-dl/ */

div.trends dl {
/*    border: 3px double #ccc; */
    padding: 0.5em;
  }
div.trends dl dt {
	  float: left;
      clear: left;
      text-align: right;

	  width: 65%;
	  padding-top: 0.8em;
      font-weight: bold;
      color: green;
  }
div.trends  dl dt::after {
    content: ": ";
  }
div.trends  dl dd {
	  float: left;
	  width: 25%;
	  padding: 0.25em 0;
/*      margin-top: 0em; margin-left: 4em;
      text-align: left;
      padding-right: 0.5em; */
	  font-size: 200%;
      font-weight: bold;	  
      color: DarkRed;
  }

/* https://clicknathan.com/web-design/styling-html-5-description-lists-formerly-known-as-definition-lists-properly/ */
dl:after {content:"";display:table;clear:both;}

/*
dl.attack-type dt {
	  float: left;
      clear: left;
      text-align: right;
	  width: 6em;
	  padding-top: 0.8em;
      font-weight: bold;
      color: green;
  }
*/

/* Attack types */

/* see*/
/* https://stackoverflow.com/questions/896815/css-dl-with-spacing-margin-between-the-dt-dd-pairs/896840#896840 */

dl.attack-type dt {
/*	display: block; */
	float: left;
	clear: left;
	text-align: right;
	
	margin-top: 20px; 

	font-width: bold;
	color: green;
	
}


dl.attack-type dd { display: block; float: left;  margin-top: 20px; }

div.attack-steps ul li { font-size: 50%;}


/* Figures */
#csrf-attack {
	width: 200%;
    image-rendering: pixelated;	
}


/* Origin */

span.origin {
	color: Indigo;
}

/* A div with class="acknowledgements" consists of multiple dl's.
   Each dl has exactly one dt and one dd.  The dd consists of a ul
   with multiple li's.

   The dls are laid out horizontally in a row.  The ul is laid out
   vertically under the dt. 

    <div class="acknowledgements">
      <dl>
        <dt>Def 1</dt>
        <dd>
           <ul>
             <li> one</li>
             <li> two</li>
           </ul>
        </dd>
      </dl>
      <dl>
        <dt>Def 2</dt>
        <dd>
           <ul>
             <li> three</li>
             <li> four</li>
           </ul>
        </dd>
      </dl>
    </div>
*/


div.acknowledgements {
	display: flex;
	margin: 0;
}	

div.acknowledgements dl {
	display: flex;
	flex-direction: column;
	margin: 0.0em; 

/*	border-style: solid;
	border-width: 2px;  */
}

div.acknowledgements dl dt {

/*	border-style: solid;
	border-width: 1px;
	border-color: green; */

	font-weight: bold;
	color: green;

	/*	width: 30%; */
	padding: 0.5em;
    margin-right: 0%;
	margin-bottom: 0em;
	
}

div.acknowledgements dl dd {
/*	border-style: solid;
	border-width: 3px;
	border-color: red; */

/*	float: right;
	text-align: left; */

/*	width: 60%; */
	padding-left: 0.5em;
	padding-right: 0%; 
	margin-left: 0%;
	margin-top: 0%;
    margin-bottom: 1em;
	
}

div.acknowledgements dl dd ul {
	list-style-type: none;
	margin-left: 0;
	padding: 0.3em;
}


div.acknowledgements dl dd ul li {
	font-size: 62%;
}


/* Biblio */

div.biblio {
	font-size: 35%;
}

div.foobar {
	margin-top: -5%;
}

div.figure p + p {
	font-size: 80%;
	color: green; 
	margin-top: -5%;
}


